<template>
  <div class="edit-add-detail">
    <!-- <div class="crumbs">
      <Breadcrumb :breadcrumbOpt="breadcrumbOpt" svg-name="#icon-wodeqiye" @breadcrumb-click="breadcrumbClick" />
    </div> -->
    <div class="form-content">
      <div class="company-information">
        <el-form ref="formInfo" :model="parameter" label-position="right">
          <div class="rows">
            <div class="rows-left">
              <div class="rows-hr"></div>
            </div>
            <div class="rows-title">
              <div class="text-overflow">基本信息</div>
            </div>
          </div>
          <el-row :gutter="24">
            <el-col :span="6">
              <el-form-item label="项目名称">
                <span>{{ parameter.projectName }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="楼栋名称">
                <span> {{ parameter.buildingName }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="楼栋编码">
                <span>{{ parameter.buildingCode }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="所属公司">
                <span>{{ parameter.belongsOrgName }}</span>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row :gutter="24">
            <el-col :span="6">
              <el-form-item label="楼栋号">
                <span>{{parameter.buildingNumber }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="楼层数">
                <span>{{parameter.floor }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="地面层数">
                <span>{{parameter.floorGround }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="地下层数">
                <span>{{ parameter.floorUnderground }}</span>
              </el-form-item>
            </el-col>

          </el-row>
          <el-row :gutter="24">
            
            <el-col :span="6">
              <el-form-item label="经度">
                <span>{{ parameter.longitude }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="纬度">
                <span>{{ parameter.latitude }}</span>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row :gutter="24">
            <el-col :span="24">
              <el-form-item label="备注">
                <span>{{ parameter.remark }}</span>
              </el-form-item>
            </el-col>
          </el-row>
        </el-form>
      </div>
    </div>
  </div>
</template>

<script>
import Breadcrumb from '@/components/Breadcrumb/index.vue'
import utils from '@/utils.js'
import api from '@/api/assetsOperating/AssetLedgerRegistration/OperatingValuePublic.js'
export default {
  name: 'domesticDialog',
  components: { Breadcrumb },
  data() {
    return {
      breadcrumbOpt: [{ breadcrumbName: '楼栋信息' }, { breadcrumbName: '详情' }],
      parameter: {
      },
      projectData:[]
    }
  },
  created() { },
  mounted() { },
  methods: {
    //证件类型翻译回显
    cardTypeName(value) {
      return this.cardTypeData.filter(item => item.value === value)[0].name
    },
    //面包屑点击
    breadcrumbClick() {
      this.$emit('closeComponent')
    },
    //字典翻译
    getDictName(code, value) {
      return utils.getDictName(code, value)
    },
    //详情
    detail(val) {
      if (val) {
        this.modifychoData(val)
      }
    },
    
    //获取详情
    async modifychoData(val) {
      await this.getProject()
       api.detailsData(val.id, res => {
        if (res) {
          this.parameter = res
          this.projectData.forEach(e=>{
            if(res.projectId===e.id){
              this.parameter.projectName=e.projectName
            }
          })
        }
      })
    },
    //获取项目下拉
    getProject() {
      api.projectQquery({
        pageBean: {
          pageSize: -1,
          page: 1
        }
      }, res => {
        if (res.rows) {
          this.projectData = res.rows
        }
      })
    },
  }
}
</script>

<style lang="scss" scoped>
.edit-add-detail {
  display: flex;
  flex-direction: column;

  // .crumbs {
  // }
  .form-content {
    flex: 1;

    // margin-top: 20px;
    border-radius: 10px;
    overflow-y: scroll;

    .company-information {
      border-radius: 10px;
      padding: 10px 20px;
      background-color: white;
      margin-bottom: 20px;
    }
  }

  .form-content::-webkit-scrollbar {
    display: none;
    /* Chrome Safari */
  }
}

::v-deep .el-form-item__label {
  width: 120px;
  font-size: 14px;
  color: #828282;
  font-weight: 500;
}

::v-deep .el-form-item__content span {
  font-size: 14px;
  color: #000;
  font-weight: 500;
}

::v-deep .el-form-item {
  margin-bottom: 0;
}

.rows {
  display: flex;
  align-items: center;
  border-bottom: 1px solid #ebebeb;
  margin-bottom: 16px;
  padding: 10px 0;

  .rows-left {
    margin-right: 10px;

    .rows-hr {
      width: 3px;
      height: 18px;
      background-color: #0e6eff;
      border-radius: 2px;
    }
  }

  .rows-title {
    .text-overflow {
      width: 100%;
      font-size: 16px;
    }
  }
}
</style>
